package com.vandyo.sentry.core.cases;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.vandyo.sentry.core.collectionMachine.CollectionMachine;
import com.vandyo.sentry.core.dto.Res;
import com.vandyo.sentry.core.tools.Signature;

import java.util.HashMap;
import java.util.Map;

/**
 * 商品列表接口
 */
public class MallGoodsDecorator extends CaseDecorator {

    private static final String mallGoodsUrl = "/user/mall/goods/list";

    public MallGoodsDecorator(Case aCase) {
        super(aCase);
    }

    @Override
    public Res<Map<String, String>> check() {
        super.check();
        Map<String, String> data = new HashMap<>();
        HttpResponse response = HttpRequest.post(Signature.host + mallGoodsUrl)
                .body("{}")
                .execute();
        Res<Map<String, String>> newRes = new Res<>();
        if (response.isOk()) {
            JSONObject json = JSONUtil.parseObj(response.body());
            newRes.setSuccess(true);
        } else {
            newRes.setKey(mallGoodsUrl);
            newRes.setStatus(Signature.matchStatus(response.getStatus()));
            newRes.setSuccess(false);
        }
        CollectionMachine.post(newRes);
        return newRes;
    }
}
